### File

`packages/components/eui-section-header/eui-section-header-icon.ts`

### Description

Icon container for EuiSectionHeader that displays an icon before the title.

Example :

    <eui-section-header-icon icon="settings"></eui-section-header-icon>

### Metadata

selector | `eui-section-header-icon`
imports | `EUI_ICON`
template |
    <eui-icon-svg [icon]="icon" size="s"/>
styleUrl | `./eui-section-header-icon.scss`

### Index

###### Properties
string
###### Inputs
icon
###### HostBindings
class

### Inputs

icon
Type : `string`

### HostBindings

class
Type : `string`
Default value : `'eui-section-header-icon'`
CSS class applied to the host element

### Properties

string
Type : `string`
Default value : `'eui-section-header-icon'`
Decorators : `@HostBinding('class')`
CSS class applied to the host element

# results matching ""

# No results matching ""